package org.apache.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import robust.pm.http.WebConfig;
import robust.pm.http.WebRunningInfo;
import robust.pm.property.PropertyManager;
import robust.pm.util.*;
import robust.pm.auth.*;
import robust.pm.http.*;
import robust.pm.servlet.*;
import robust.pm.property.PropertyManagerWrapper;
import robust.pm.util.HTMLUtil;

public final class LoginAuth_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {

  private static final JspFactory _jspxFactory = JspFactory.getDefaultFactory();

  private static java.util.List _jspx_dependants;

  static {
    _jspx_dependants = new java.util.ArrayList(1);
    _jspx_dependants.add("/common/include/include_main_auth.jsp");
  }

  private javax.el.ExpressionFactory _el_expressionfactory;
  private org.apache.AnnotationProcessor _jsp_annotationprocessor;

  public Object getDependants() {
    return _jspx_dependants;
  }

  public void _jspInit() {
    _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
    _jsp_annotationprocessor = (org.apache.AnnotationProcessor) getServletConfig().getServletContext().getAttribute(org.apache.AnnotationProcessor.class.getName());
  }

  public void _jspDestroy() {
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;
    PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=EUC-KR");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("    \r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");

/******************************************************************************
 * 
 * JSP의 기본 Include를 정의한다. 
 * 
 * 1. 제약사항 
 *    - 사용을 위해서는 include를 하기전에 WebConfig형의 webConfig 변수가 정의되어 있어야 한다. 
 *    - 전역변수는 runningInfo 변수를 사용한다. 
 * 
 *****************************************************************************/

      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");

    WebConfig webConfig = new WebConfig(); 
	
	// 로그인 체크
    webConfig.setIsCheckLogin(false);	//false이면 체크 안하고, true면 체크

    // 로그인 실패시 타 페이지로 이동할지 여부
    webConfig.setIsLoginFailAutoJump(false);

 	// 로그인 실패시 이동할 타 페이지
 	webConfig.setLoginFailJumpPage(WebConfig.DEFAULT_LOGIN_FAIL_ERROR_PAGE);    

 	//첨부파일 업로드시 서버에 동일한 파일명이 존재하면 파일명을 변경함 여부를 설정
 	webConfig.setAttachFileAutoRename(false);
	
    // 0. 전역변수 선언
    // JSP 수행정보 
    WebRunningInfo runningInfo = new WebRunningInfo();

    HttpServletRequestImpl _req = null;
        
    // 1. HttpServletRequest req
    runningInfo.setReq(new HttpServletRequestImpl(request, String.valueOf(webConfig.getMaxUploadSize()), webConfig.getUploadDir(), webConfig.getAttachFileAutoRename()));
    
    _req = runningInfo.getReq();
    
    // 기존 로그인 정보 삭제(로그아웃 처리를 위한 화면구성이 없으므로 ..로그아웃처리를 먼저함)
    AuthManager.logOut(request, response, _req.getParameter("LOGIN_ID", ""));
    //System.out.println("===>" + _req.getParameter("LOGIN_ID", ""));

    
    AuthEntity authEntity = AuthManager.isLogin(_req);
    
    if(authEntity.isLogin()) {
        runningInfo.setIsLogin(true);
        runningInfo.setAuthEntity(authEntity);
    }

      out.write('\r');
      out.write('\n');
      out.write("\r\n");
      out.write("\r\n");
      out.write("<script language=\"javascript\">\r\n");
      out.write("\tfunction selfClose() {\r\n");
      out.write("\t\tif(navigator.appVersion.indexOf(\"MSIE 7.0\") >= 0) {\r\n");
      out.write("\t\t    window.open(\"blank.html\",\"_self\").close();\r\n");
      out.write("\t\t}else if(navigator.appVersion.indexOf(\"MISE 8.0\") >= 0) {\r\n");
      out.write("\t\t    window.open(\"blank.html\",\"_self\").close();\r\n");
      out.write("\t\t}else{\r\n");
      out.write("\t\t    //self.close();\r\n");
      out.write("\t\t\twindow.open(\"blank.html\",\"_self\").close();\r\n");
      out.write("\t\t}\r\n");
      out.write("\t}\r\n");
      out.write("</script>\r\n");
      out.write("\t\t\t\r\n");

    // 파라미터 
    String _sLoginId  = _req.getParameter("LOGIN_ID", "");
    String _sPassword = _req.getParameter("PASSWORD", "");

           	  
    // 로그인 처리
    if(runningInfo.getIsLogin()) {

      out.write("            \r\n");
      out.write("            <script language=\"javascript\">\r\n");
      out.write("                location.href = \"/Default.jsp\";\r\n");
      out.write("                //opener.location.href = \"/Default.jsp\";\r\n");
      out.write("                //opener.close();\r\n");
      out.write("\t\t\t</script>\r\n");
        
    } else if("".equals(_sLoginId) || "".equals(_sPassword)) {
        out.print(HTMLUtil.printAlert("로그인 아이디 또는 비밀번호가 정상적으로 입력되지 않았습니다", false, true));
        return;
    } else {    	 
        if(AuthManager.login(request, response, _sLoginId, _sPassword)) {

      out.write("            \r\n");
      out.write("            <script language=\"javascript\">\r\n");
      out.write("                location.href = \"/Default.jsp\";\r\n");
      out.write("                //opener.top.location.href = \"/Default.jsp\";\r\n");
      out.write("                //opener.close();\r\n");
      out.write("\t\t\t</script>\r\n");
			
        } else{
            out.print(HTMLUtil.printAlert("해당 아이디 또는 비밀번호가 맞지 않습니다", false, true));

      out.write("\r\n");
      out.write("            <script language=\"javascript\">\r\n");
      out.write("            \tselfClose();\r\n");
      out.write("\t\t\t</script>\r\n");

        }		    
    }

    // 로그인 로그 쌓기
    //String sToday = StringUtil.getCurrentTimeString();


      out.write('\r');
      out.write('\n');
    } catch (Throwable t) {
      if (!(t instanceof SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try { out.clearBuffer(); } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
