package robust.pm.http;


import java.util.ArrayList;
import java.util.HashMap;

import robust.pm.servlet.HttpServletRequestImpl;
import robust.pm.auth.AuthEntity;
import robust.pm.util.DateFormat4Performance;

/**
 * JSP Web   
 * @author 
 *
 */
public class WebRunningInfo {
    
    /** DB Connection  ó  */
    public static class CONN_CLOSE_TYPE {
        /** DB Commit */
        public static final int COMMIT = 1;
        /** DB Rollback */
        public static final int ROLLBACK = 0;
    }

    /** HttpServletRequest Implement */
    private HttpServletRequestImpl m_req = null;
    
    /**  α  */
    private boolean m_bIsLogin = false;
    
    /** ð   Thread Ȳ  */
    private long m_lStartProcessTime = System.currentTimeMillis();
    
    /** ð String */
    private String m_sStartT = DateFormat4Performance.getCurrentTimestampString();
    
    /**  Thread  */
    private String m_sOrgName = Thread.currentThread().getName();
    
    /** Connection ӿû  */
    private ArrayList m_alReqConnList = null;
    
    /**  DB Connection  */
    private HashMap m_hmConnList = null;
    
    /** Connection Commit/Rollback  */
    private int m_iConnCloseType = CONN_CLOSE_TYPE.COMMIT;
    
    /**   JSP  */
    private String m_sJspPage = null;
    
    /** α   */
    private AuthEntity m_cAuthEntity = null;

    /** DB Connection ӿû  ȸ */
    public ArrayList getReqConnList() {
        return m_alReqConnList;
    }

    /** DB Connection ӿû  */
    public void setReqConnList(ArrayList reqConnList) {
        m_alReqConnList = reqConnList;
    }

    /** α  ȸ */
    public boolean getIsLogin() {
        return m_bIsLogin;
    }

    /** α   */
    public void setIsLogin(boolean isLogin) {
        m_bIsLogin = isLogin;
    }

    /** α   ȸ */
    public AuthEntity getAuthEntity() {
        return m_cAuthEntity;
    }

    /** α    */
    public void setAuthEntity(AuthEntity authEntity) {
        m_cAuthEntity = authEntity;
    }

    /** DB   ȸ */
    public HashMap getConnList() {
        return m_hmConnList;
    }

    /** DB    */
    public void setConnList(HashMap connList) {
        m_hmConnList = connList;
    }

    /** DB Close  ȸ */
    public int getConnCloseType() {
        return m_iConnCloseType;
    }

    /** DB Close   */
    public void setConnCloseType(int connCloseType) {
        m_iConnCloseType = connCloseType;
    }

    /**  HttpServletRequest ȸ */
    public HttpServletRequestImpl getReq() {
        return m_req;
    }

    /**  HttpServletRequest  */
    public void setReq(HttpServletRequestImpl m_req) {
        this.m_req = m_req;
    }

    /** JSP  ȸ */
    public String getJspPage() {
        return m_sJspPage;
    }

    /** JSP   */
    public void setJspPage(String jspPage) {
        m_sJspPage = jspPage;
    }

    /**  Thread ȸ */
    public String getOrgName() {
        return m_sOrgName;
    }

    /**  Thread  */
    public void setOrgName(String orgName) {
        m_sOrgName = orgName;
    }

    /** Ͻ ȸ */
    public long getStartProcessTime() {
        return m_lStartProcessTime;
    }

    /** Ͻ (locale time format) ȸ */
    public String getStartT() {
        return m_sStartT;
    }
}
