package robust.pm.mobile;

import java.sql.DriverManager;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Vector;

import robust.pm.dbmanager.DBCPConn;
import robust.pm.main.MainEntity;
import robust.pm.user.UserEntity;
import robust.pm.util.StringUtil;
import robust.pm.logger.CSLogger;

import robust.pm.project.ProjectInfoEntity;

/**
 *======================================================
 * @Ŭ : MainDAO
 * @    : ȭ  DAO
 *======================================================
 * @̷ - , , 
 *
 *======================================================
 */ 

public class MobileDAO {

	/**
	 * α  Ʈ  ȸ
	 * @param conn
	 * @param pEntity
	 * @return
	 * @throws SQLException
	 */
	public MobileEntity[] list() throws SQLException {
		Connection conn = null;
		PreparedStatement pstmt = null;
		ResultSet rset = null;
		
		Vector vec = new Vector();
		MobileEntity[] entities = null;
		MobileEntity entity = null;

		/** TPROJECT ̺  ȸѴ. **/
		String qry = "	SELECT							\n"
				+	"		A.PRJ_NM, B.TASK_NM,		\n"
				+	"		B.TASK_ST_DT, B.TASK_ED_DT  \n"
				+	"	FROM							\n"
				+	"		TPROJECT A JOIN TTASK B		\n"				
				+	"		ON 							\n"				
				+	"			A.PRJ_ID = B.PRJ_ID		\n";
		
		try {
			
			conn = DBCPConn.getConnection("pool");

			CSLogger.debug(qry);
			
			pstmt = conn.prepareStatement(qry);

			rset = pstmt.executeQuery();
		    int colSeq = 1;
		    
			while (rset.next()) {
				colSeq = 1;
				entity = new MobileEntity();
				entity.setP_name(rset.getString(colSeq++));
				entity.setT_name(rset.getString(colSeq++));
				entity.setT_st(rset.getString(colSeq++));
				entity.setT_ed(rset.getString(colSeq++));
				
				vec.addElement(entity);
			}

		}catch (SQLException sqle) {
			CSLogger.error(sqle.toString());
			throw sqle;
		} catch (Exception sqle) {
			CSLogger.error(sqle.toString());
		} finally {
			try{
				rset.close();
				pstmt.close();
				conn.close();
			}catch(SQLException sx) {}
		}
		
		if (vec.size() > 0) {
			entities = new MobileEntity[vec.size()];
			vec.copyInto(entities);
			vec.clear();
			vec = null;
		}
		
		return entities;
	}
	
}
