package robust.pm.util;


import javax.servlet.*;
import javax.servlet.http.*;
 
public class SessionUtil {

  //DSLogger log = (DSLogger) DSLogger.getLogger(SessionUtil.class.getName());

//------------------------------------------------------------------------------
  public boolean CheckUserSession(HttpServletRequest req) throws
      Exception {
    HttpSession session = null;
    session = req.getSession(false);
    String sessionLoginID = (String) session.getAttribute("LOGIN_ID");

    if (sessionLoginID == null || sessionLoginID.equals("null") || sessionLoginID.equals("")) {
//      System.out.println("> session logIn check fail [" + sessionLoginID + "]");
      return false;
    }else {
//      System.out.println("> session logIn check succ [" + sessionLoginID + "]");
      return true;
    }

  }

//------------------------------------------------------------------------------
  public static boolean setUserSession(HttpServletRequest req, int sessionTime,
                                       String loginId) throws Exception {
    HttpSession session = null;
    session = req.getSession(true);

    session.setMaxInactiveInterval(sessionTime);
    session.setAttribute("LOGIN_ID", loginId);
    // Ȯ
    String session_loginId = (String) session.getAttribute("LOGIN_ID");

    if (session_loginId != null && session_loginId.equals(loginId)) {
      return true;
    }
    else {
      return false;
    }
  }

//------------------------------------------------------------------------------
  public boolean setAttributeSession(HttpServletRequest req,
                                            int sessionTime, String sessionID,
                                            String sessionValue) throws
      Exception {
    HttpSession session = null;
    //true ϸ ?
    //session = req.getSession(true);
    session = req.getSession(false);

    session.setMaxInactiveInterval(sessionTime);
    session.setAttribute(sessionID, sessionValue);
    
    // Ȯ
    String checkValue = (String) session.getAttribute(sessionID);

    //System.out.println("#1>sessionID:["+sessionID +"]");
    //System.out.println("#1>sessionValue:["+sessionValue+"]");
    //System.out.println("#1>check session value:["+checkValue+"]");

    if (checkValue != null && checkValue.equals(sessionValue)) {
//      System.out.println("session check is true");
      return true;
    }
    else {
//      System.out.println("session check is false");
      return false;
    }
  }

//------------------------------------------------------------------------------
  public static boolean clearUserSession(HttpServletRequest req) throws
      Exception {
    HttpSession session = null;
    session = req.getSession(false);
    //clear 
    session.removeAttribute("LOGIN_ID");

    String session_loginId = (String) session.getAttribute("LOGIN_ID");

    if (session_loginId != null) {
      return false;
    }
    else {
      return true;
    }
  }

//------------------------------------------------------------------------------

}


