package robust.pm.logger;


import java.util.Stack;
import java.util.Vector;

/**
 * ϰ  LogEntity Object Poolingϵ Ѵ.
 * 1. Stack ̿Ͽ Object Pool Ѵ.
 * 2.  ó ؼ Cast ߻ ʵ LogEntity  Object Pool Ѵ.
 */
public class LogEntityObjectPool
{
    /**
     * ̱ Object ü
     */
    private static LogEntityObjectPool objectInstance = null;
    /** 
     * α Entity Stack
     */
    private Stack  objectPoolStack;

    /** 
     * 
     */
    public LogEntityObjectPool()
    {
        objectPoolStack = new Stack();
    }
    
    /**
     * ̱ Object Ѵ
     */
    public static synchronized LogEntityObjectPool getInstance()
    {
        if(objectInstance == null)
            objectInstance = new LogEntityObjectPool();
        return objectInstance;
    }

    /**
     * Object ȯѴ
     * @param traceobject ȯ LogEntity Object
     */
    public void push(LogEntity traceobject)
    {
        objectPoolStack.push(traceobject);
    }

    /**
     * Object ûѴ.
     */
    public synchronized LogEntity pop()
    {
        LogEntity traceobject = null;
        if(objectPoolStack.empty()) {
            traceobject = new LogEntity();
        } else {
            traceobject = (LogEntity)objectPoolStack.pop();
        }
        return traceobject;
    }
    
    /**
     * Object Pool  ȸ
     *   ϱ ؼ  ü ȯ ʴ´.
     * @return ObjectPool ֵ Vector
     */
    public Vector getClone() {
        return (Vector) objectPoolStack.clone();
    }
}
