package robust.pm.notice.service;

import java.sql.Connection;
import java.sql.SQLException;

import robust.pm.notice.dao.*;
import robust.pm.notice.model.*;

public class qArticleCheckHelper {

	public qArticle checkExistsAndPassword(Connection conn, int qarticleId,
			String password) throws SQLException, qArticleNotFoundException,
			qInvalidPasswordException {
		qArticleDao articleDao = qArticleDao.getInstance();
		System.out.println(qarticleId);
		qArticle article = articleDao.selectById(conn, qarticleId);
		if (article == null) {
			throw new qArticleNotFoundException(
					"Խñ  ʽϴ : " + qarticleId);
		}
		if (!checkPassword(article.getPassword(), password)) {
			throw new qInvalidPasswordException("߸ ȣ");
		}
		return article;
	}

	private boolean checkPassword(String realPassword, 
			String userInputPassword) {
		if (realPassword == null) {
			return false;
		}
		if (realPassword.length() == 0) {
			return false;
		}
		return realPassword.equals(userInputPassword);
	}

}
