package robust.pm.util;


import java.io.*;
import java.security.*;
import javax.crypto.*;
import javax.crypto.spec.*;
 
/**
 *   ȣȭ ƿƼ 
 */
public class CryptoUtil {

  /** ȣȭ Ű :  8ڸ Ѵ. */
  private static final String       SECURITY_KEY = "eyeblue  ";
	
  /**
   * MD5 ȣȭ Hex String ´.
   * @param clearTextPassword String ȣȭ   н
   * @throws NoSuchAlgorithmException
   * @return String ȣȭ н
   */
  public static String getEncodedPassword(String clearTextPassword) throws
  NoSuchAlgorithmException {

    return encrypt(clearTextPassword);
  }

  /**
   * verification password
   * @param clearTextTestPassword String ȣȭ   н
   * @param encodedActualPassword String ȣȭ н
   * @throws NoSuchAlgorithmException
   * @return boolean  
   */
  public static boolean verifyPassword(String clearTextTestPassword,
                                   String encodedActualPassword) throws
      NoSuchAlgorithmException {

    String encodedTestPassword = encrypt(clearTextTestPassword);
    
    return (encodedTestPassword.equals(encodedActualPassword));
  }
  
  
  /**
   * <code>encrypt</code> Էµ  ȣȭ Ѵ.
   * @param     String input Էµ 
   * @return    String retȣȭ  
   */
  public static String encrypt(String input) {
    
    byte[] encrypted    =    null;
    
    try {

        SecretKeySpec skeySpec = new SecretKeySpec(SECURITY_KEY.getBytes(), "DES");
        //out.println("KEY [" + new String(raw) + "]");

        //ȣȭ
        javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("DES");
        cipher.init(javax.crypto.Cipher.ENCRYPT_MODE, skeySpec);
        encrypted = cipher.doFinal(input.getBytes());

    }
    catch(Exception e) {
      e.printStackTrace();
    }

    return bytesToHexs(encrypted);
  }
  
  /**
   * <code>encrypt</code> Էµ  ȣȭ Ѵ.
   * @param     String input Էµ 
   * @param     String str ȣŰ  
   * @return    String ret ȣȭ  
   */
  public static String encrypt(String str, String input) {
    
    String  sKey    =   StringUtil.substringb(str, 0, 8);
    byte[] encrypted    =   null;
    
    if(sKey.length() < 8)   sKey = StringUtil.rpad(sKey, 8, " ");
    
    try {

        SecretKeySpec skeySpec = new SecretKeySpec(sKey.getBytes(), "DES");
        //out.println("KEY [" + new String(raw) + "]");

        //ȣȭ
        javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("DES");
        cipher.init(javax.crypto.Cipher.ENCRYPT_MODE, skeySpec);
        encrypted = cipher.doFinal(input.getBytes());

    }
    catch(Exception e) {
      e.printStackTrace();
    }

    return bytesToHexs(encrypted);
    
  }

  /**
   * <code>decrypt</code> Էµ  ȣȭ Ѵ.
   * @param     String input Էµ 
   * @return    String ret ȣȭ  
   */
  public static String decrypt(String input) {
    
    String  ret =   null;
    byte[] encrypted    =   null;
    
    try {

        SecretKeySpec skeySpec = new SecretKeySpec(SECURITY_KEY.getBytes(), "DES");
        //out.println("KEY [" + new String(raw) + "]");
        
//System.out.println("input : " + input);

        //ȣȭ
        javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("DES");
        cipher.init(javax.crypto.Cipher.DECRYPT_MODE, skeySpec);
        encrypted = cipher.doFinal(hexsToBytes(input));
        ret = new String(encrypted);
    }
    catch(Exception e) {
      e.printStackTrace();
    }

    return ret;

  }
  
  /**
   * <code>decrypt</code> Էµ  ȣȭ Ѵ.
   * @param     String input Էµ 
   * @param     String str ȣŰ  
   * @return    String ret ȣȭ  
   */

  public static String decrypt(String str, String input) {

    byte[] encrypted    =   null;
    String  ret         =   null;
    
    String  sKey    =   StringUtil.substringb(str, 0, 8);
    if(sKey.length() < 8)   sKey = StringUtil.rpad(sKey, 8, " ");

//System.out.println("str : " + str + ", input : " + input);

    try {

        SecretKeySpec skeySpec = new SecretKeySpec(sKey.getBytes(), "DES");
        //out.println("KEY [" + new String(raw) + "]");

        //ȣȭ
        javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("DES");
        cipher.init(javax.crypto.Cipher.DECRYPT_MODE, skeySpec);
        encrypted = cipher.doFinal(hexsToBytes(input));
        ret = new String(encrypted);
    }
    catch(Exception e) {
      e.printStackTrace();
//System.out.println("str : " + str + ", input : " + input);
    }

    return ret; 
  }
  
  
    /**
    *  :ٻ罺Ʈ ڵ鸵 ޼ҵ.
    *  @param in ٻ罺Ʈ Ÿϴ Ʈ迭
    *  @return ٻ罺Ʈ 
    */  
    public static String bytesToHexs(byte in[]) {
        int onebyte;
        int i = 0;
        if (in == null || in.length <= 0)
            return null;

        StringBuffer out = new StringBuffer(in.length * 2);

        while (i < in.length) {
            onebyte = ((0x000000ff & in[i]) | 0xffffff00);
            out.append(Integer.toHexString(onebyte).substring(6));
            i++;
        }

        return new String(out);
    }
    
    
    /**
    *  :罺Ʈ Ʈ迭 ȯ.<br>
    *  @param hex 罺Ʈ
    *  @return Ʈ迭
    */  
    public static byte[] hexsToBytes(String hex) {
        int len = hex.length() / 2;
        int val = 0;
        byte[] ret = new byte[len];

        try {
            for (int i = 0; i < len; i++)
                ret[i] = (byte) Integer.valueOf(hex.substring(i * 2, (i + 1) * 2), 16).intValue();
        } catch (Exception e) {
            return null;
        }

        return ret;
    }  
  
}
