package robust.pm.util;


/**
* 1. class              :    FileControl.java
* 2. class            :     fileó LIB
*/

import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Vector;

/**
 * ȭϿ  , , ȸ óѴ.
 */
public class FileUtil { 

 
    /**
     * ȭ Ѵ.
     *  Ҷ Append  Ѵ.
     *
     * @param    filename    ϸ
     * @param    str          ڿ
     * @param    lang        Ͻ ȯ Character Set
     *
     * @return      (true/false)
     *
     * @exception    SecurityException     
     * @exception    IOException             н
     */
    public static boolean writeFile4Append(String filename, String str, String lang) throws SecurityException, IOException {
    
        File        file = new File(filename);

        FileOutputStream fo = null;
        
        try {
            fo = new FileOutputStream(file, true);
            fo.write(str.getBytes(lang));
            fo.close(); fo=null;
            
        } catch (IOException e) {
        
            if(fo != null) try{fo.close(); fo = null;} catch(Exception ee) {}
            
            System.err.println("==> file Write [" + filename+"] Error....");
            e.printStackTrace();
            throw e;
        }finally{
        	if(fo != null) { fo.close();  fo = null; } 
        }

        return true;
    }

    /**
     * ȭϿ ش  Ѵ.
     *
     * @param    filename    ϸ
     * @param    str             ڿ
     * @param    lang        Ͻ ȯ Character Set
     *
     * @return      (true/false)
     *
     * @exception    SecurityException     
     * @exception    IOException             н
     */
    public static boolean writeFile(String filename, String str, String lang) throws SecurityException, IOException {
    
        File        file = new File(filename);

        FileOutputStream fo = null;
        
        try {
            fo = new FileOutputStream(file);
            fo.write(str.getBytes(lang));
            fo.close(); fo=null;
            
        } catch (IOException e) {
        
            if(fo != null) try{fo.close(); fo = null;} catch(Exception ee) {}
            
            System.err.println("==> file Write [" + filename+"] Error....");
            e.printStackTrace();
            throw e;
        }finally{
        	if(fo != null) { fo.close();  fo = null; } 
        }

        return true;
    }
    
    /**
     *  н ϴ üũѴ.   ʴ´ٸ Ѵ.
     *
     * @param path üũ  н.
     * @throws Exception
     */
    private static void ensurePath(String path) throws Exception {
    	
      try {
        File f = new File(path);
        
        if (!f.exists()) {
          f.mkdirs();
        }
      }
      catch (Exception e) {
        throw e;
      }
    }

    /**
     * Է 丮   Ѵ. 
     * @param sDir 丮
     * @throws Exception 丮  Exception
     */
    public static void createDir(String sDir) throws Exception {
    	
    	/*
    	StringBuffer sbDir = new StringBuffer();
    	String[] sDirs = StringUtil.getToken(sDir, File.separator);
    	
    	int iDirCnt = (sDirs == null)? 0: sDirs.length;
    	
    	for(int i = 0; i < iDirCnt; i++) {
    		if(i > 0) sbDir.append(File.separator);
    		sbDir.append(sDirs[i]);
    		
    		// . ϰų .. ۽ô 丮  ʰ  Ѵ.  
    		if(i == 0 && (".".equals(sDirs[i]) || "..".equals(sDirs[i]))) continue;
    		ensurePath(sbDir.toString());
    	}
    	
    	*/
            File dir = new File(sDir);
            if(!dir.exists()){
              if(!dir.mkdirs()){
              }
            }
    	
    }
    
    /**
     * ȭϷ   оδ.
     * 뷮  ѹ о̴° VM ɿ  ش.
     *
     * @param    filename    о ȭϸ
     * @param    lang        ȭ  ȯ Character Set
     *
     * @return    о ȭϳ
     *
     * @exception    IOException    ȭб ߻ Exception
     */
    public static String readFile(String filename, String lang) {
        
        byte[]                      buffer  = null;
        
        if(lang == null)            lang = "KSC5601";
        buffer = readFile(filename);
        
        try {
            if(buffer == null)  return null;
            else                return new String(buffer, lang);
        } catch (Exception e) {
            
            e.printStackTrace(System.err);
            return null;
        }
    }
    
    /**
     * ȭϷ   оδ.
     * 뷮  ѹ о̴° VM ɿ  ش.
     *
     * @param    filename    о ȭϸ
     *
     * @return    о ȭϳ
     *
     * @exception    IOException    ȭб ߻ Exception
     */
    public static byte[] readFile(String filename) {

        FileInputStream fo          = null;
        byte[]          data        = new byte[8192];
        
        ByteArrayOutputStream bout  = new ByteArrayOutputStream();

        File            file        = new File(filename);
        int             cnt         = 0;

        try {

            fo         = new FileInputStream(file);

            while(true) {
        
                if((cnt = fo.read(data)) == -1) break;
                bout.write(data, 0, cnt);
            }
                  
			return bout.toByteArray();

        } catch (IOException e) {
        
            if(fo != null) try{fo.close(); fo = null;} catch(IOException ee) {}
            
            e.printStackTrace(System.err);
            
            return null;
        }finally{
        	try{ 
        	   if(fo != null) { fo.close();  fo = null; } 
        	   if(bout != null) { bout.close();  bout = null; } 
        	}catch(IOException ix){} 
        }
    }
    
    
    /**
     * ȭϷ   оδ.
     * 뷮  ѹ о̴° VM ɿ  ش.
     *
     * @param    outStream   Ʈ
     * @param    filename    о ȭϸ
     *
     * @return    о ȭϳ
     *
     * @exception    IOException    ȭб ߻ Exception
     */
    public static void readFileAndWriteStream(OutputStream outStream, String filename) throws IOException{

        FileInputStream fo          = null;
        byte[]          data        = new byte[20480];

        File            file        = new File(filename);

        try {

            fo         = new FileInputStream(file);

            while(true) {
                if((fo.read(data)) == -1) break;
                outStream.write(data);
            }
        
        } catch (IOException e) {
        
            if(fo != null) try{fo.close(); fo = null;} catch(IOException ee) {}
            
            e.printStackTrace(System.err);
                
            throw e;
        }finally{
        	try{ 
        	   if(fo != null) { fo.close();  fo = null; } 
        	   if(outStream != null) { outStream.close();  outStream = null; } 
        	}catch(IOException ix){} 
        }

        return;
    }

    /**
     * ԷȭϷ  Setup  оδ. <BR>
     *  ùκп #   õȴ. <BR>
     *   ų ̸ õȴ. <BR>
     *
     * @param    filename    Է ȭϸ
     *
     * @return    о 
     *
     * @exception    IOException    ȭб ߻ Exception
     */
    public static String[] getSetupList(String filename) throws IOException {

        FileReader            fr    = null;
        BufferedReader        br    = null;
        Vector                v    = new Vector();
        String                buf = null;
        String                list[] = null;
        
        try {
            fr = new FileReader(filename);
        } catch(FileNotFoundException e ) {
            return null;
        }

        br = new BufferedReader(fr);

        while(true) {

            buf = br.readLine();

            if(buf == null) break;
            else if(buf.trim().equals("") || 
                buf.trim().substring(0, 1).equals("#"))    
                    continue;

            v.add(buf.trim());
        }

        if(br != null) { 
        	br.close(); br = null; 
        }
        
        if(fr != null) { 
        	fr.close(); fr = null; 
        }
        
        list = new String[v.size()];
        v.copyInto(list);
        v.clear(); v = null;

        return list;
    }
    
    /**
     * ش ȭ Ѵ.
     *
     * @param    filename    о ȭϸ
     *
     * @return    
     *
     * @exception    IOException    ȭб ߻ Exception
     */
    public static boolean deleteFile(String filename) throws IOException{
      
        File file = new File(filename);
        return file.delete();
      
    }
    
   /**
     * URL Ͽ  ȸѴ.
     *
     * @param           sUrl                URL
     *
     * @return          JavaScript          
     *
     * @exception       IOException          н
     */
    public static String connect4URL(String sUrl) throws IOException, Exception {
    
        int                 nSize   = 0;
        byte[]              b       = new byte[1024];

        InputStream         in      = null;
        String              sBuf    = null;
        StringBuffer        sb      = new StringBuffer();
        
        try {
            URL url = new URL( sUrl );
            URLConnection URLconnection = url.openConnection();
            HttpURLConnection httpConnection = (HttpURLConnection) URLconnection;
            int responseCode = httpConnection.getResponseCode();
            if ( responseCode == HttpURLConnection.HTTP_OK) {
                in = httpConnection.getInputStream();
            } else {
                throw new Exception("[" + sUrl + "] Connection Error");
            }
            
            while(true) {
                nSize = in.read(b);
                if(nSize == -1) break;
                
                sBuf = new String(b, 0, nSize, "KSC5601");
                sb.append(sBuf);
            }
            
//System.out.println("[" + sb.toString() + "]");
            
        } catch (IOException e) {
            System.err.println("==> sUrl [" + sUrl+"] Error....");
            e.printStackTrace();
            throw e;
            
        } catch (Exception e) {
            System.err.println("==> URL Connect Error [" + sUrl + "] ");
            e.printStackTrace();
            throw e;
        } finally {
            if(in != null) try{in.close(); in = null;} catch(Exception ee) {}
        }
        return sb.toString();
    }
}

